<section class="faqs">
  <header class="header">
    <h2 class="faqs-heading">Frequently Asked Questions</h2>
    <p class="faqs-subheading">
      Here are some of our FAQs. If you have any other questions you’d like
      answered please feel free to email us.
    </p>
  </header>
  <div class="expansion-panel">
    <div
      class="panel"
      *ngFor="let question of questions; let i = index"
      (click)="setOpenedPanel(i)"
      [ngClass]="{ open: question.isOpened }"
    >
      <header class="header">
        <h3 class="question">{{ question.question }}</h3>
        <app-icon
          icon="arrow"
          class="arrow-icon"
          [ngClass]="question.isOpened ? 'arrow-up' : 'arrow-down'"
        ></app-icon>
      </header>
      <span
        class="content"
        [ngClass]="{
          'open-content': question.isOpened,
          'close-content': !question.isOpened && question.isClicked
        }"
      >
        {{ question.answer }}
      </span>
    </div>
  </div>
  <app-default-button link="#">more info</app-default-button>
</section>
